Fix enable_metadata_network flag

Bug #1394020 reported by Aaron Rosen on 2014-11-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
High
Aaron Rosen
Icehouse
Undecided
Unassigned
Juno
Undecided
Unassigned

Bug Description

The following patch: 9569b2fe broke the desired functionality of
the enable_metadata_network flag. The author of this patch was not
aware that the enable_metadata_network flag was used to spin up
ns-metadata-proxies for plugins that do not use the l3-agent (where
this agent will spin up the metadata proxy).

Aaron Rosen (arosen) on 2014-11-19
Changed in neutron:
importance: Undecided → Critical
importance: Critical → High
assignee: nobody → Aaron Rosen (arosen)
Changed in neutron:
status: New → In Progress
Eugene Nikanorov (enikanorov) wrote :

Was there a patch proposed so the state has changed to 'In progress'?

Changed in neutron:
status: In Progress → Confirmed
Changed in neutron:
status: Confirmed → In Progress
Changed in neutron:
assignee: Aaron Rosen (arosen) → Salvatore Orlando (salvatore-orlando)
Changed in neutron:
assignee: Salvatore Orlando (salvatore-orlando) → Aaron Rosen (arosen)

Reviewed: https://review.openstack.org/135467
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=c45842af38da322b93d1200451a4a254abfcaed1
Submitter: Jenkins
Branch: master

commit c45842af38da322b93d1200451a4a254abfcaed1
Author: Aaron Rosen <email address hidden>
Date: Tue Nov 18 15:59:40 2014 -0800

    Fix enable_metadata_network flag

    The following patch: 9569b2fe broke the desired functionality of
    the enable_metadata_network flag, by not allowing the metadata
    proxy to be spawn for 'metadata networks', which are used for
    accessing the metadata service when the logical router is not
    implemented through the l3 agent.

    This patch enables spawning of the metadata proxy for metadata
    networks when the appropriate flag is set to True.

    The patch also adds rather pedant unit test coverage for the
    should_enable_metadata method which previously had no unit test.

    Change-Id: I8dca1fce9fbc83e75ba7e4ce948531427bf7e88b
    Closes-bug: 1394020

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/139617
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=6068320cbd76a8c70e754acdffb48e8bcf28ff09
Submitter: Jenkins
Branch: stable/juno

commit 6068320cbd76a8c70e754acdffb48e8bcf28ff09
Author: Aaron Rosen <email address hidden>
Date: Tue Nov 18 15:59:40 2014 -0800

    Fix enable_metadata_network flag

    The following patch: 9569b2fe broke the desired functionality of
    the enable_metadata_network flag, by not allowing the metadata
    proxy to be spawn for 'metadata networks', which are used for
    accessing the metadata service when the logical router is not
    implemented through the l3 agent.

    This patch enables spawning of the metadata proxy for metadata
    networks when the appropriate flag is set to True.

    The patch also adds rather pedant unit test coverage for the
    should_enable_metadata method which previously had no unit test.

    Change-Id: I8dca1fce9fbc83e75ba7e4ce948531427bf7e88b
    Closes-bug: 1394020
    (cherry picked from commit c45842af38da322b93d1200451a4a254abfcaed1)

tags: added: in-stable-juno

Reviewed: https://review.openstack.org/139628
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=950127127895ba90d0a19175804a3cd0777b3c78
Submitter: Jenkins
Branch: stable/icehouse

commit 950127127895ba90d0a19175804a3cd0777b3c78
Author: Aaron Rosen <email address hidden>
Date: Tue Nov 18 15:59:40 2014 -0800

    Fix enable_metadata_network flag

    The following patch: 9569b2fe broke the desired functionality of
    the enable_metadata_network flag, by not allowing the metadata
    proxy to be spawn for 'metadata networks', which are used for
    accessing the metadata service when the logical router is not
    implemented through the l3 agent.

    This patch enables spawning of the metadata proxy for metadata
    networks when the appropriate flag is set to True.

    The patch also adds rather pedant unit test coverage for the
    should_enable_metadata method which previously had no unit test.

    Closes-bug: 1394020
    (cherry picked from commit c45842af38da322b93d1200451a4a254abfcaed1)

    Conflicts:
     neutron/agent/dhcp_agent.py
     neutron/tests/unit/test_linux_dhcp.py

    Change-Id: I8dca1fce9fbc83e75ba7e4ce948531427bf7e88b

tags: added: in-stable-icehouse
Thierry Carrez (ttx) on 2014-12-18
Changed in neutron:
milestone: none → kilo-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in neutron:
milestone: kilo-1 → 2015.1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers